LibOFX: OfxInvestmentTransactionContainer Class Reference

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

# OfxInvestmentTransactionContainer Class Reference

Inheritance diagram for OfxInvestmentTransactionContainer:

## Detailed Description

Represents a bank or credid card transaction.

Built from the diferent investment transaction OFX entity

Definition at line 222 of file ofx_containers.hh.

## Public Member Functions
| OfxInvestmentTransactionContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
| OfxInvestmentTransactionContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.

## Member Function Documentation

void OfxInvestmentTransactionContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) | `[virtual]`

  | Add data to a container object. Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. Parameters:
  | identifier | The name of the data element
  | value | The concatenated string of the data
Reimplemented from OfxTransactionContainer.

void OfxInvestmentTransactionContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) | `[virtual]`

  | Add data to a container object. Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. Parameters:
  | identifier | The name of the data element
  | value | The concatenated string of the data
Reimplemented from OfxTransactionContainer. Definition at line 333 of file ofx_container_transaction.cpp.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- fx-0.8.2/lib/ofx_containers.hh
- ofx_container_transaction.cpp
- fx-0.8.2/lib/ofx_container_transaction.cpp